KausateKausate Docs
2025-04-01Datasets
Viewing API version 2025-04-01. View the latest version.

Get Latest Dataset

Get a download URL for the latest dataset.

GET
/v2/datasets/{datasourceSlug}/latest
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Path Parameters

datasourceSlug*string

Data source slug (e.g., de-handelsregister, fr-registre-national-des-entreprises)

Header Parameters

Kausate-Version?string
Default"2025-04-01"
Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.kausate.com/v2/datasets/de-handelsregister/latest" \  -H "Kausate-Version: 2025-04-01"
{
  "downloadUrl": "http://example.com",
  "fileSizeBytes": 0,
  "recordCount": 0,
  "jsonlSizeBytes": 0
}
{
  "detail": "Invalid API key"
}
{
  "detail": "Dataset not found"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": "An internal error occurred"
}

Last updated on